#include <FuelRule/BasicFuelRule/BasicFuelRule.hpp>

BasicFuelRule::BasicFuelRule(ItemStack fuelStack, uint32_t amount) :
    m_fuelStack(fuelStack),
    m_amount(amount)
{}

bool BasicFuelRule::isValidFuel(ItemStack &stack)
{
    return m_fuelStack.canMergeFrom(stack);
}

uint32_t BasicFuelRule::getFuelAmount(ItemStack &stack)
{
    return m_amount;
}